from scipy.io.matlab import loadmat
from sklearn.datasets._base import _pkl_filepath
import joblib
import os

data_home = os.environ.get('SCIKIT_LEARN_DATA', os.path.join('~', 'scikit_learn_data'))
data_home = os.path.expanduser(data_home)

mfile = loadmat(file_name=os.path.join(data_home, "olivettifaces.mat"))

faces = mfile['faces'].T.copy()
filepath = _pkl_filepath(data_home, 'olivetti.pkz')
joblib.dump(faces, filepath, compress=6)
